﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Ascon.Pilot.Theme.Controls.Windows.Tools;
using Ascon.Pilot.Theme.Tools;

namespace ProjectCloneWizard.Dialogs
{
    /// <summary>
    /// Interaction logic for DialogView.xaml
    /// </summary>
    public partial class DialogView : UserControl
    {
        public DialogView()
        {
            InitializeComponent();
        }

        private void CancelButton_OnClick(object sender, RoutedEventArgs e)
        {
            var model = DataContext as DialogViewModel;
            model?.Cancel();
            var window = LayoutHelper.FindParent<Window>(this);
            window.CloseWithResult(true);
        }
    }
}
