﻿using System;

namespace Pilot.Xps.Entities
{
    public interface IXpsServiceApi
    {
        byte[] MergeXpsDocument(Guid documentId);
        SignResult SignDocument(Guid documentId, int personId);
        SignResult SignDocument(Guid documentId, int[] positions, int personId);
        byte[] GetSignatures(Guid documentId);
        byte[] GetSignatures(Guid documentId, DateTime snapshotDateTime);
    }
}
